Geek
=====

A dynamic blog engine, customizable with standard web technology, i.e. HTML, CSS and Javascript (JSON)

Features
--------

* Write posts in Markdown
* Full text search
* Layout is configurable through HTML, CSS and Javascript
* [Jekyll's front matter](http://jekyllrb.com/docs/frontmatter/) compatible

Installation
------------

### Install Geek

    cabal install geek-server

### Get a Geek Blog Seed

    git clone https://github.com/nfjinjing/geek-blog-seed-jinjing-angular-mini.git geek-blog


Start
-------

    cd geek-blog
    geek geek-config.sh


Check
------

<http://localhost:3001>


Configuration
--------------

### Basic

* Geek Server: `geek-config.sh`
* Blog: `blog/angular/app/js/site-config.js`
* Layout: `blog/angular/index`, `blog/angular/partials`
* Style: `blog/angular/css/app.css`

Writing posts
------------

* See `posts` directory for examples
* Posts are compatible with [Jekyll's front matter](http://jekyllrb.com/docs/frontmatter/) format
